Request

Response

    Retrieves qualification data for a specific subcontractor. Qualifications
    GET

    qualifications/{companyId}

    Retrieve a general list of qualification data for a specific subcontractor, processed in TradeTapp and based on the data input by a subcontractor during the completion of their questionnaire.

    Resource Information

    Method and URI
    GET
    https://developer.api.autodesk.com/construction/tradetapp/v2/qualifications/{companyId}
    Authentication Context
    User context required
    Required OAuth Scopes
    data:read
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow.
    general-contractor-company-id
    string
    This header is required only for users who belong to a parent enterprise company in TradeTapp. It specifies the BuildingConnected company ID of the child general contractor company for which the request should be performed. Otherwise, it is impossible to know for which child general contractor company the user intends to perform the request.

    For users who do not belong to a parent enterprise company, this header is not required and should be omitted. If provided for such users, the provided value must match the user’s current general contractor company, otherwise the request will be rejected with a 400 Bad Request error.

    * Required

    Request

    URI Parameters

    companyId
    string
    The company’s BuildingConnected ID.

    Response

    HTTP Status Code Summary

    200
    OK
    OK
    400
    Bad Request
    The parameters of the requested operation are invalid.
    401
    Unauthorized
    The provided bearer token is not valid.
    403
    Forbidden
    The user or service represented by the bearer token does not have permission to perform this operation.
    404
    Not Found
    The requested resource could not be found.
    409
    Conflict
    Multiple objects were found when only one was expected.
    429
    Too Many Requests
    Rate limit exceeded; wait some time before retrying. The ‘Retry-After’ header might provide the amount of the time to wait.
    500
    Internal Server Error
    An unknown error occurred on the server.

    Response

    Body Structure (200)

    Expand all
    id
    string
    Subcontractor’s BC ID. This is a unique identifier for the company’s qualification data object.
    uniqueId
    string
    The internal unique ID that is set by the GC for the subcontractor. This may be populated from an external system via a subcontractor backlog upload or other.
    questionnaireVersion
    string
    The version or type of the qualification questionnaire filled out by the subcontractor.
    qualification
    object
    The current state of subcontractor company’s qualification.
    status
    enum:string
    The status of the qualification. Possible values: NO_STATUS, QUALIFIED, QUALIFIED_WITH_EXCEPTIONS, DENIED, EXPIRED
    internalSingleLimit
    int
    The internal single limit value set for this qualification, identifying the maximum project size a subcontractor should be awarded.
    internalTotalLimit
    int
    The internal total limit value set for this qualification, identifying the maximum total internal backlog a subcontractor should have.
    dateExpires
    datetime: ISO 8601
    The date on which the qualification status expires. ISO-8601 date-time format (YYYY-MM-DDTHH:mm:ss.sssZ).
    summary
    string
    The summary note on the subcontractor company’s qualification.
    denialReason
    string
    The reason the subcontractor company did not qualify
    preExpirationStatus
    enum:string
    The status of the qualification before it expired. Possible values: NO_STATUS, QUALIFIED, QUALIFIED_WITH_EXCEPTIONS, DENIED
    applicationStatus
    enum:string
    The current stage of the company’s application. Possible values: NOT_STARTED, IN_PROGRESS, SUBMITTED, COMPLETE, IMPORTED
    applicationDetail
    enum:string
    Qualifying details on the company’s application status. Possible values: NEW, CORRECTIONS_REQUESTED, RENEWAL
    companyName
    string
    The name of the subcontractor’s company, as configured by the general contractor’s account settings.

    This value may correspond to one of the following, if set: companyTaxName, doingBusinessAsName, or companyNetworkName.

    companyTaxName
    string
    Name of the subcontractor’s company as given in their tax form.
    doingBusinessAsName
    string
    Doing-business-as name of the subcontractor’s company as given in their tax form.
    companyNetworkName
    string
    The name of the subcontractor’s company as listed on the Builders Network.
    yearFounded
    int
    The year the subcontractor’s company was founded.
    stateFounded
    string
    The state where the subcontractor’s company was founded.
    taxIdType
    enum:string
    The subcontractor’s tax ID type. Possible values: US_FEIN, US_SSN, CAN_BN, OTHER
    federalTaxId
    string
    The tax ID of the subcontractor’s company.
    submissionCurrency
    string
    The ISO-4217 Currency code for all monetary values in the subcontractor’s submission.
    numberOfHomeOfficeEmployees
    int
    The subcontractor’s number of employees in the company’s home office.
    numberOfFieldSupervisoryEmployees
    int
    The subcontractor’s number of employees in the field.
    hasProfessionalLicenses
    boolean
    Indicates if the subcontractor’s company has any professional licenses.
    hasUnionAffiliations
    boolean
    Indicates if the subcontractor’s company has any union affiliations.
    hasParentCompany
    boolean
    Indicates if the subcontractor’s company has a parent company.
    parentCompanyName
    string
    If they have one, the name of the subcontractor’s parent company.
    currentEstimatedBacklog
    int
    The subcontractor’s company’s estimate of their current backlog.
    insuranceBrokerCompanyName
    string
    The name of the subcontractor’s insurance brokerage company.
    insuranceBrokerContactName
    string
    The name of the subcontractor’s contact at their insurance broker.
    insuranceBrokerContactPhone
    string
    The phone number of the subcontractor’s insurance broker contact.
    insuranceBrokerContactEmail
    string
    The email address of the subcontractor’s insurance broker contact.
    suretyBrokerAgencyCompanyName
    string
    The name of the subcontractor’s surety broker agency.
    suretyBrokerContactName
    string
    The name of the subcontractor’s surety broker contact.
    suretyBrokerContactPhone
    string
    The phone number of the subcontractor’s surety broker contact.
    suretyCompanyName
    string
    The name of the subcontractor’s surety company.
    suretySingleProjectBondingCapacity
    int
    The subcontractor’s single project bonding capacity.
    suretyAggregateBondingCapacity
    int
    The subcontractors aggregate total bonding capacity.
    bankName
    string
    The name of the subcontractor’s bank.
    bankLineOfCreditTotal
    int
    The subcontractor’s total line of credit amount with the bank.
    bankLineOfCreditOutstanding
    int
    ​​The subcontractor’s outstanding line of credit amount with the bank.
    bankContactName
    string
    The name of the subcontractor’s contact at the bank.
    bankContactPhone
    string
    The phone number of the subcontractor’s contact at the bank.
    bankContactEmail
    string
    The email address of the subcontractor’s contact at the bank.
    submittedAt
    datetime: ISO 8601
    The date / time that the questionnaire was submitted. ISO-8601 date-time format (YYYY-MM-DDTHH:mm:ss.sssZ).
    updatedAt
    datetime: ISO 8601
    The date / time that the questionnaire was last updated. ISO-8601 date-time format (YYYY-MM-DDTHH:mm:ss.sssZ).
    csiCodesForWorkPerformed
    array: object
    List of Construction Specification Institute codes for the subcontractor’s trades.
    primaryCode
    string
    The primary code.
    secondaryCode
    string
    The secondary code.
    tertiaryCode
    string
    The tertiary code.
    codeDescription
    string
    The code description.
    regionsServed
    array: object
    A list of regions the subcontractor serves.
    region
    string
    The region name chosen by the subcontractor based on their region served.
    marketsServed
    array: object
    A list of markets the subcontractor normally serves.
    market
    string
    The market name the subcontractor chose based on their markets served.
    completedReferences
    array: object
    References for the subcontractor’s completed projects.
    projectName
    string
    The name of the project.
    location
    string
    The location of the project.
    yearCompleted
    int
    The year the project was completed.
    value
    int
    The subcontractor’s subcontract value for the project.
    scope
    string
    Scope of the subcontractor’s contract for the project.
    referenceContactCompany
    string
    Project reference contact company.
    referenceContactName
    string
    Project reference contact name.
    referenceContactPhone
    string
    Project reference contact phone number.
    referenceContactEmail
    string
    Project reference contact email address.
    isLargestProject
    boolean
    Indicates if this is the subcontractor’s largest previously completed project.
    companyContacts
    array: object
    The subcontractor’s company contacts.
    positionTitle
    string
    The title of the subcontractor’s contact’s position.
    contactName
    string
    The name of the subcontractor’s contact.
    contactPhone
    string
    The subcontractor’s contact’s phone number.
    contactEmail
    string
    The subcontractor’s contact’s email address.
    contactFax
    string
    The subcontractor’s contact’s fax number.
    contactType
    enum:string
    The type of subcontractor contact. Possible values: COMPANY, PREQUAL, BOTH
    insuranceCoverages
    array: object
    The insurance coverages that the subcontractor has.
    insuranceType
    enum:string
    The type of insurance the subcontractor holds. Possible values: GENERAL_LIABILITY, WORKERS_COMPENSATION, UMBRELLA_EXCESS, PROFESSIONAL_LIABILITY, POLLUTION_LIABILITY, CYBER_LIABILITY, AUTOMOBILE_LIABILITY
    carrier
    string
    The name of the subcontractor’s insurance carrier.
    perOccurrenceLimit
    int
    The per occurrence limit the subcontractor has for this type of insurance. For an insurance type of Workers’ Compensation this will always be null.
    aggregateLimit
    int
    The aggregate limit coverage the subcontractor has for this type of insurance. For an insurance type of Workers’ Compensation this will always be null.
    policyExpirationDate
    string
    The date / time that this insurance expires. ISO-8601 date format (YYYY-MM-DDTHH:mm:ss.sssZ).
    isNotApplicable
    boolean
    Will be false if the subcontractor does not have this type of insurance.
    experienceModificationRatings
    array: object
    The subcontractor’s Experience Modification Ratings by year.
    year
    int
    The year of the subcontractor’s Experience Modification Rating score.
    experienceModificationRating
    number
    The subcontractor’s Experience Modification Rating score.
    osha300Results
    array: object
    Subcontractor’s Occupational Safety and Health Administration statistics by year.
    year
    int
    The year of the subcontractor’s Occupational Safety and Health Administration score.
    totalNumberDeathsBoxG
    int
    The total number of deaths the subcontractor indicated for that year.
    totalNumberCasesDaysAwayBoxH
    int
    The total number of cases with days away the subcontractor indicated for that year.
    totalNumberCasesRestrictionTransferBoxI
    int
    The total number of cases with Restriction/Transfer the subcontractor indicated for that year.
    otherRecordableCasesBoxJ
    int
    The number of other recordable cases the subcontractor indicated for that year.
    totalHoursWorked
    int
    The total number of hours the subcontractor’s employees worked that year.
    certificates
    array: object
    Certificates held by the subcontractor.
    id
    string
    The unique certificate ID. Companies can have many certificate combinations and each entry has its own ID. This field is null if the certificate is still a pending suggestion.

    Max length: 24

    type
    object
    Information about the type of this certificate.
    id
    string
    The unique ID of the certificate type.

    Max length: 24

    name
    string
    The name of the certificate type.
    agency
    object
    The certifying agency that issued the certificate.
    id
    string
    The unique ID of the certifying agency.

    Max length: 24

    name
    string
    The name of the certifying agency.
    website
    string
    The website URL of the certifying agency.
    number
    string
    Number of the issued certificate.
    expiresAt
    datetime: ISO 8601
    The date the certificate expires, in ISO 8601 format.
    fileName
    string
    The name of the file copy of the certificate.
    unions
    array: object
    The unions that the subcontractor workers are a part of. This will be empty if they do not have any union members.
    unionName
    string
    The name of the subcontractor’s union.
    unionNumber
    string
    The subcontractor’s union number.
    annualVolumeRevenues
    array: object
    The subcontractor’s historical volume/revenue by year.
    year
    int
    The hsitorical volume year.
    estimatedVolumeRevenue
    int
    The historical volume figure.
    professionalLicenses
    array: object
    Their professional licenses held by the subcontractor.
    licenseType
    string
    The type of license the subcontractor holds.
    licenseNumber
    string
    The license number the subcontractor holds.
    licenseState
    string
    The state the subcontractor is licensed in.
    issuingAgency
    string
    The name of the issuing agency for the subcontractor’s license.
    additionalDescription
    string
    An additional description for the subcontractor’s license.
    companyOfficeAddresses
    object
    The subcontractor’s office addresses.
    pagination
    object
    The pagination details for a nested list of results in the response.
    limit
    int
    The maximum number of records per page.

    Default: 50. Maximum: 100.

    A page may contain fewer records than the limit if fewer records exist or if the last page is returned.

    cursorState
    string
    An opaque token for cursor-based pagination.

    Use the value returned in a response to request the next page of results.

    Omit this parameter to start a new paginated request or restart pagination.

    If a response contains no cursorState, there are no further pages to return.

    totalResults
    int
    The total number of records matching the query across all pages.
    nextUrl
    string
    The link to the next page of data. If not included, the current page is the last page of results. A page may be empty but still contain a nextUrl. Stop paging only when nextUrl is no longer returned.
    previousUrl
    string
    The link to the previous page of data. If not included, the current page is the first page of results.
    results
    array: object
    isMainOffice
    boolean
    Indicates if this office is the subcontractor’s main office.
    address1
    string
    The first line of the subcontractor office’s street address.
    address2
    string
    The second line of the subcontractor office’s street address.
    city
    string
    The subcontractor office’s city.
    state
    string
    The subcontractor office’s state.
    zipCode
    string
    The subcontractor office’s zip code.
    customQuestions
    object
    The answers to any custom questions a subcontractor answered in the questionnaire.
    pagination
    object
    The pagination details for a nested list of results in the response.
    limit
    int
    The maximum number of records per page.

    Default: 50. Maximum: 100.

    A page may contain fewer records than the limit if fewer records exist or if the last page is returned.

    cursorState
    string
    An opaque token for cursor-based pagination.

    Use the value returned in a response to request the next page of results.

    Omit this parameter to start a new paginated request or restart pagination.

    If a response contains no cursorState, there are no further pages to return.

    totalResults
    int
    The total number of records matching the query across all pages.
    nextUrl
    string
    The link to the next page of data. If not included, the current page is the last page of results. A page may be empty but still contain a nextUrl. Stop paging only when nextUrl is no longer returned.
    previousUrl
    string
    The link to the previous page of data. If not included, the current page is the first page of results.
    results
    array: object
    question
    string
    The text description of the custom question.
    section
    string
    The section of the questionnaire the custom question is located.
    textResponse
    string
    Data will populate here if the subcontractor’s answer to the custom question was text based
    numberResponse
    number
    Data will populate here if the subcontractor’s answer to the custom question was number based
    booleanResponse
    boolean
    Data will populate here if the subcontractor’s answer to the custom question was Yes or No based.

    Example

    OK

    Request

    curl -v 'https://developer.api.autodesk.com/construction/tradetapp/v2/qualifications/:companyId' \
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
    

    Response

    {
      "id": "59d2b8660675250927442cbf",
      "uniqueId": "98h2fbd84k9s322chr",
      "questionnaireVersion": "Primary Qualification",
      "qualification": {
        "status": "QUALIFIED_WITH_EXCEPTIONS",
        "internalSingleLimit": 50000,
        "internalTotalLimit": 125000,
        "dateExpires": "2024-10-03T00:00:00.000Z",
        "summary": "Exception will be addressed next week.",
        "denialReason": "Safety concerns.",
        "preExpirationStatus": "QUALIFIED"
      },
      "applicationStatus": "SUBMITTED",
      "applicationDetail": "RENEWAL",
      "companyName": "Gr8 Builders Inc.",
      "companyTaxName": "Gr8 Builders Inc.",
      "doingBusinessAsName": "Gr8 Builders Group",
      "companyNetworkName": "Gr8 Constructors",
      "yearFounded": 2012,
      "stateFounded": "California",
      "taxIdType": "US_FEIN",
      "federalTaxId": "123456789",
      "submissionCurrency": "USD",
      "numberOfHomeOfficeEmployees": 47,
      "numberOfFieldSupervisoryEmployees": 48,
      "hasProfessionalLicenses": true,
      "hasUnionAffiliations": true,
      "hasParentCompany": true,
      "parentCompanyName": "BuildingConnected",
      "currentEstimatedBacklog": 12000000,
      "insuranceBrokerCompanyName": "Smith Insurance",
      "insuranceBrokerContactName": "Dale Smith",
      "insuranceBrokerContactPhone": "9145554549",
      "insuranceBrokerContactEmail": "dale@smithinsurance.com",
      "suretyBrokerAgencyCompanyName": "Gr8 Insurance Broker",
      "suretyBrokerContactName": "Steve Holder",
      "suretyBrokerContactPhone": "6175556565",
      "suretyCompanyName": "Gr8 Insurance Services",
      "suretySingleProjectBondingCapacity": 17000000,
      "suretyAggregateBondingCapacity": 50000000,
      "bankName": "Gr8 National Bank",
      "bankLineOfCreditTotal": 3000000,
      "bankLineOfCreditOutstanding": 500000,
      "bankContactName": "Thomas Lee",
      "bankContactPhone": "8445551844",
      "bankContactEmail": "tom.lee@gr8bank.com",
      "submittedAt": "2017-05-04T14:11:35.100929Z",
      "updatedAt": "2019-01-15T18:30:36.316344Z",
      "csiCodesForWorkPerformed": [
        {
          "primaryCode": "7",
          "secondaryCode": "81",
          "tertiaryCode": "29",
          "codeDescription": "Mineral-Fiber Cementitious Fireproofing"
        }
      ],
      "regionsServed": [
        {
          "region": "California"
        }
      ],
      "marketsServed": [
        {
          "market": "Education"
        }
      ],
      "completedReferences": [
        {
          "projectName": "925 Mission",
          "location": "925 Mission St San Francisco CA 94103",
          "yearCompleted": 1995,
          "value": 8505400,
          "scope": "Fireproofing the building",
          "referenceContactCompany": "Gr8 Fireproofing",
          "referenceContactName": "Julie Applebaum",
          "referenceContactPhone": "9145556326",
          "referenceContactEmail": "julie@gr8fireproofing.com",
          "isLargestProject": true
        }
      ],
      "companyContacts": [
        {
          "positionTitle": "Accounting Manager",
          "contactName": "James Smart",
          "contactPhone": "6035556263",
          "contactEmail": "james@gr8builders.com",
          "contactFax": "6035556261",
          "contactType": "COMPANY"
        }
      ],
      "insuranceCoverages": [
        {
          "insuranceType": "AUTOMOBILE_LIABILITY",
          "carrier": "Hartford Casualty Insurance Company",
          "perOccurrenceLimit": 2000000,
          "aggregateLimit": 2000000,
          "policyExpirationDate": "2017-07-21",
          "isNotApplicable": false
        }
      ],
      "experienceModificationRatings": [
        {
          "year": 2017,
          "experienceModificationRating": 0.62
        }
      ],
      "osha300Results": [
        {
          "year": 2017,
          "totalNumberDeathsBoxG": 0,
          "totalNumberCasesDaysAwayBoxH": 0,
          "totalNumberCasesRestrictionTransferBoxI": 0,
          "otherRecordableCasesBoxJ": 3,
          "totalHoursWorked": 893790
        }
      ],
      "certificates": [
        {
          "id": "627074db25c97830ad3ea8c8",
          "type": {
            "id": "59d2bd7440b36a0da258f24d",
            "name": "Disadvantaged Business Enterprise (DBE)"
          },
          "agency": {
            "id": "611d794f7f063800a7274d46",
            "name": "United States Department of Transportation",
            "website": "https://www.transportation.gov/civil-rights/disadvantaged-business-enterprise"
          },
          "number": "12345",
          "expiresAt": "2014-10-03T19:00:00.000Z",
          "fileName": "certificate.pdf"
        }
      ],
      "unions": [
        {
          "unionName": "Fireproofing 4",
          "unionNumber": "Local 4"
        }
      ],
      "annualVolumeRevenues": [
        {
          "year": 2017,
          "estimatedVolumeRevenue": 13564913
        }
      ],
      "professionalLicenses": [
        {
          "licenseType": "Class A Fireproofing License",
          "licenseNumber": "1234567890C",
          "licenseState": "California",
          "issuingAgency": "State of California",
          "additionalDescription": "Maintained since 2012"
        }
      ],
      "companyOfficeAddresses": {
        "pagination": {
          "limit": 50,
          "cursorState": "cD0xMTA4Ng==",
          "totalResults": 120,
          "nextUrl": "",
          "previousUrl": ""
        },
        "results": [
          {
            "isMainOffice": true,
            "address1": "925 Mission Street",
            "address2": "Suite 109",
            "city": "San Francisco",
            "state": "California",
            "zipCode": "94103"
          }
        ]
      },
      "customQuestions": {
        "pagination": {
          "limit": 50,
          "cursorState": "cD0xMTA4Ng==",
          "totalResults": 120,
          "nextUrl": "",
          "previousUrl": ""
        },
        "results": [
          {
            "question": "What type of organization is your company (Corporation Partnership LLC Fellowship etc.)?",
            "section": "General",
            "textResponse": "Corporation",
            "numberResponse": 5600.8965,
            "booleanResponse": true
          }
        ]
      }
    }
    
    Show More